# kubezero-operators

![Version: 0.2.0](https://img.shields.io/badge/Version-0.2.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Various operators supported by KubeZero

**Homepage:** <https://kubezero.com>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Stefan Reimer | <stefan@zero-downtime.net> |  |

## Requirements

Kubernetes: `>= 1.30.0-0`

| Repository | Name | Version |
|------------|------|---------|
| https://cdn.zero-downtime.net/charts/ | kubezero-lib | >= 0.1.6 |
| https://charts.bitnami.com/bitnami | rabbitmq-cluster-operator | 4.4.3 |
| https://cloudnative-pg.github.io/charts | cloudnative-pg | 0.23.0 |
| https://helm.elastic.co | eck-operator | 2.16.1 |
| https://opensearch-project.github.io/opensearch-k8s-operator/ | opensearch-operator | 2.7.0 |
| oci://quay.io/strimzi-helm | strimzi-kafka-operator | 0.45.0 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| cloudnative-pg.enabled | bool | `false` |  |
| cloudnative-pg.monitoring.grafanaDashboard.create | bool | `false` |  |
| cloudnative-pg.monitoring.podMonitorEnabled | bool | `false` |  |
| eck-operator.enabled | bool | `false` |  |
| eck-operator.installCRDs | bool | `false` |  |
| opensearch-operator.enabled | bool | `false` |  |
| opensearch-operator.fullnameOverride | string | `"opensearch-operator"` |  |
| opensearch-operator.kubeRbacProxy.enable | bool | `false` |  |
| opensearch-operator.manager.extraEnv[0].name | string | `"SKIP_INIT_CONTAINER"` |  |
| opensearch-operator.manager.extraEnv[0].value | string | `"true"` |  |
| rabbitmq-cluster-operator.clusterOperator.metrics.enabled | bool | `false` |  |
| rabbitmq-cluster-operator.clusterOperator.metrics.serviceMonitor.enabled | bool | `true` |  |
| rabbitmq-cluster-operator.enabled | bool | `false` |  |
| rabbitmq-cluster-operator.msgTopologyOperator.enabled | bool | `false` |  |
| rabbitmq-cluster-operator.msgTopologyOperator.metrics.enabled | bool | `false` |  |
| rabbitmq-cluster-operator.msgTopologyOperator.metrics.serviceMonitor.enabled | bool | `true` |  |
| rabbitmq-cluster-operator.useCertManager | bool | `true` |  |
| strimzi-kafka-operator.enabled | bool | `false` |  |
| strimzi-kafka-operator.leaderElection.enable | bool | `false` |  |
| strimzi-kafka-operator.monitoring.podMonitorEnabled | bool | `false` |  |
| strimzi-kafka-operator.revisionHistoryLimit | int | `2` |  |
| strimzi-kafka-operator.watchAnyNamespace | bool | `true` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.8.1](https://github.com/norwoodj/helm-docs/releases/v1.8.1)
