# ![k8s-v1.30](images/k8s-1.30.png)  KubeZero 1.30 - Uwubernetes

## What's new - Major themes
- all KubeZero and support AMIs based on Alpine 3.20.3
- CRI migrated from Cri-o to Containerd incl. support for Nvidia runtime via CDI
- all KubeZero modules and tooling now uses [server-side-apply](https://kubernetes.io/docs/reference/using-api/server-side-apply/)
- easy automatic downscaling of workloads outside of working hours via simple annotation to namespaces

## Features and fixes
- all tools (CloudBender, AWS Lambda functions,... ) upgraded to Python 3.12
- reduced memory consumption of CNI agent on each node
- ArgoCD configured to globally use [server-side diff](https://argo-cd.readthedocs.io/en/latest/user-guide/diff-strategies/)
- improved support for SMTP ingress on port 25

## Version upgrades
- cilium 1.16.3
- istio 1.22.3
- ArgoCD 2.13.0 [custom ZDT image](https://git.zero-downtime.net/ZeroDownTime/zdt-argocd)
- Prometheus 2.55.1 / Grafana 11.3.0
- Nvidia container toolkit 1.17, drivers  565.57.01, Cuda 12.7

## Resources
- [Kubernetes v1.30 upstream release blog](https://kubernetes.io/blog/2024/04/17/kubernetes-v1-30-release/)
